BeagleWksDRParserInternal::State Struct Reference

Internal: the state of a BeagleWksDRParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

long | m_graphicBegin
| the graphic begin position
long | m_shapesBegin [2]
| the shape definitions and the unknown
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| the type entry map
std::vector< MWAWColor > | m_colorList
| the colors list
std::vector< MWAWGraphicStyle::Pattern > | m_patternList
| the pattern list
int | m_numShapes [2]
| the number of shapes: positions and definitions
std::vector< Shape > | m_shapeList
| the list of shapes
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a BeagleWksDRParser.

## Constructor & Destructor Documentation

## State()

BeagleWksDRParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int BeagleWksDRParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_colorList

std::vector<MWAWColor> BeagleWksDRParserInternal::State::m_colorList

the colors list

Referenced by State().

## m_footerHeight

int BeagleWksDRParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_graphicBegin

long BeagleWksDRParserInternal::State::m_graphicBegin

the graphic begin position

Referenced by State().

## m_headerHeight

int BeagleWksDRParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_numPages

int BeagleWksDRParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_numShapes

int BeagleWksDRParserInternal::State::m_numShapes[2]

the number of shapes: positions and definitions

Referenced by State().

## m_patternList

std::vector<MWAWGraphicStyle::Pattern> BeagleWksDRParserInternal::State::m_patternList

the pattern list

Referenced by State().

## m_shapeList

std::vector<Shape> BeagleWksDRParserInternal::State::m_shapeList

the list of shapes

Referenced by State().

## m_shapesBegin

long BeagleWksDRParserInternal::State::m_shapesBegin[2]

the shape definitions and the unknown

Referenced by State().

## m_typeEntryMap

std::multimap<std::string, MWAWEntry> BeagleWksDRParserInternal::State::m_typeEntryMap

the type entry map

Referenced by State().

The documentation for this struct was generated from the following file:

- BeagleWksDRParser.cxx